A service's deploys
GET
/v1/organisations/{id}/environments/{envId}/resources/{rid}/deploysOperation services.deploys · since 2026-11-05 · stable
Needs a session withreadscopeAnswers200 OK
{ "deploys": [...] }: the newest 200, and which can be rolled back to.
Path parameters
- idstring (uuid)required
- The organisation id.
- envIdstring (uuid)required
- The environment id.
- ridstringrequired
- The service's id.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
GET/v1/organisations/{id}/environments/{envId}/resources/{rid}/deploys
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/resources/$RESOURCE_ID/deploys" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"With the rykloud CLI
rykloud services deploys SERVICECommand reference: rykloud services deploys